
Example
```
python train.py --model SRNetR90
python test.py --test_datasets Set5,Set14,B100,Urban100,Manga109 

python transfer_to_lut.py 

python train.py --model_path /wd/lut_reproduce/models/last_transfered_lut.pth --total_iter 2000
python test.py --test_datasets Set5,Set14,B100,Urban100,Manga109 

python image_demo.py 
```

Help
```
python train.py --help
python test.py --help
python transfer_to_lut.py --help
python image_demo.py --help
```

Requirements:
```
pip install schedulefree tensorboard opencv-python-headless scipy pandas matplotlib
```


python train.py --model ChebyKANNet --total_iter 200000 --train_datasets mix-01-blur-1+ffmpeg --test_datasets mix-01-blur-test --upscale_factor 1 --val_step 210000 --layers_count 4
python transfer_to_lut.py --model_path ../experiments/ChebyKANNet_RGB_mix-01-blur-1+ffmpeg_x1/checkpoints/ChebyKANNet_200000.pth
python test.py --model_path ../experiments/last_transfered_lut.pth --test_datasets src --save_predictions

python test.py --model_path ../--test_datasets src --save_predictions